Description

Defect Description

In the current version and the last trunk, the Authenticacion Modes that works through LDAP does not check the username or

password.

This can be a problem, because, if the LDAP Server is available but does not return any response due to an incorrect username and

password, and can't bind the connection.

This patch adds the possibility in the moment to do a LDAP connection Test, if the username and password is defined it binds to

check that are correct, else returns an exception with it's error.

I've added the follow test to check the username and the password, as the connectivity against the LDAP Server.

This patch has been tested with the last Trunk (14992) and the configurations of the LDAP Server that comes included to do the

tests.

Running Tests:

vagrant@redmine:/opt/redmine/trunk# RAILS_ENV="test" rake test test/unit/auth_source_ldap_test.rb

Run options: --seed 12217

# Running:

.......................

Finished in 3.987555s, 5.7679 runs/s, 20.0624 assertions/s.

23 runs, 80 assertions, 0 failures, 0 errors, 0 skips

vagrant@redmine:/opt/redmine/trunk#
Associated revisions

Revision 15086 - 2016-01-22 18:53 - Jean-Philippe Lang

Fixed that LDAP does not check the user and password when are defined in the method of authentication (#21674).

Patch by Helder Manuel Torres Vieira.

Revision 15087 - 2016-01-22 19:06 - Jean-Philippe Lang

Fixed DN in tests (#21674).

Revision 15088 - 2016-01-22 19:10 - Jean-Philippe Lang

Makes the test LDAP host configurable (#21674).

Revision 15089 - 2016-01-22 19:12 - Jean-Philippe Lang

Include tested method name in tests names (#21674).

Revision 15090 - 2016-01-22 19:16 - Jean-Philippe Lang

Do not bind when the account contains $login (#21674).

History

#1 - 2016-01-08 13:24 - Toshi MARUYAMA

- Target version set to 3.3.0

#2 - 2016-01-22 19:19 - Jean-Philippe Lang

- Subject changed from LDAP does not check the user and password when are defined in the method of authentication. to LDAP does not check the
user and password that are defined in the method of authentication

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#3 - 2016-05-21 09:07 - Jean-Philippe Lang

- Subject changed from LDAP does not check the user and password that are defined in the method of authentication to The LDAP connection test

does not check the credentials
